tt_message_scope(library call)

NAME
tt_message_scope — retrieve the scope attribute from a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_scope tt_message_scope(
Tt_message m);

DESCRIPTION

The tt_message_scope function retrieves the scope attribute from the specified message.

The m argument is the opaque handle for the message involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_scope function returns a value that identifies the set of processes eligible to receive the message. The following values are defined:

TT_SESSION
    All processes joined to the indicated session are eligible.

TT_FILE
    All processes joined to the indicated file are eligible.

TT_BOTH
    All processes joined to either indicated file or the indicated session are eligible.

TT_FILE_IN_SESSION
    All processes joined to both the indicated file and the indicated session are eligible.

The application can use tt_int_error(3) to extract one of the following Tt_status values from the Tt_scope integer return value:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_int_error(3).